VismaBouwsoftAPICalls.v1_GET_AssignmentMachines Method
v1_GET_AssignmentMachines() as String

This API call is used to get fields of a(n) AssignmentMachine(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /AssignmentMachines/
or
API Path: /AssignmentMachines/{id}
or
API Path: /AssignmentMachines/FieldInfo/

You can make this API call:
* without the key field id to get a list of AssignmentMachines
* with the key field id as the path parameter (the specific id of the AssignmentMachine you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
assignment_id 1 tpLong 0 No No No
actualcostmachines_id_mapping 1 tpLong 0 No No No
date 3 tpDate 0 No Yes No
machine_id 1 tpLong 0 No Yes No
nr 2 tpString 0 No Yes No
description 2 tpString 0 No Yes No
unit 2 tpString 0 No Yes No
unit_localized 2 tpString 0 No No No
quantity 4 tpDouble 0 No Yes No
from 20 tpTimeDouble 0 No Yes No
to 20 tpTimeDouble 0 No Yes No
break 20 tpTimeDouble 0 No Yes No
job_id 1 tpLong 0 No Yes No
job_code 2 tpString 0 No Yes No
job_name 2 tpString 0 No No No
ok 5 tpBool 0 No Yes No
invoice_id 1 tpLong 0 No No No
invoice_nr 1 tpLong 0 No No No

/AssignmentMachines/

API Path: /AssignmentMachines/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AssignmentMachines

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: AfbfWxfDbVzSfrbrrfzRqGDUfkPkfGbAffbkzDfAjPmGklkIIr

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/111”, “Records”: [
  {
    "id": 3,
    "assignment_id": 43,
    "actualcostmachines_id_mapping": 1498,
    "date": "2021–05–07",
    "machine_id": 1,
    "nr": "Caddy 01",
    "description": "Volkswagen caddy",
    "unit": "km",
    "unit_localized": "km",
    "quantity": 0,
    "from": 14,
    "to": 15,
    "break": 0,
    "job_id": 0,
    "job_code": "",
    "job_name": "",
    "ok": false,
    "invoice_id": 0,
    "invoice_nr": 0
  },
  {
    "id": 4,
    "assignment_id": 4,
    "actualcostmachines_id_mapping": 260,
    "date": "2015–04–02",
    "machine_id": 1,
    "nr": "Caddy 01",
    "description": "Volkswagen caddy",
    "unit": "km",
    "unit_localized": "km",
    "quantity": 60,
    "from": 9,
    "to": 11,
    "break": 0.25,
    "job_id": 0,
    "job_code": "",
    "job_name": "",
    "ok": true,
    "invoice_id": 3253,
    "invoice_nr": 20140138
  }
,

]
}

/AssignmentMachines/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AssignmentMachines/129

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: lAOfWxfGGkzSfGmUOfzRqVGUfblfkGVbfUjkzOlflkGIGDlVfO

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 129,
    "assignment_id": 1496,
    "actualcostmachines_id_mapping": 1806,
    "date": "2022–10–24",
    "machine_id": 2085,
    "nr": "Machine 4844302",
    "description": "Diverse Graafmachine 3 old",
    "unit": "dag",
    "unit_localized": "Day",
    "quantity": 1,
    "from": 8,
    "to": 16,
    "break": 1,
    "job_id": 48,
    "job_code": "APIJOB",
    "job_name": "",
    "ok": true,
    "invoice_id": 0,
    "invoice_nr": 0
  }
]
}

/AssignmentMachines/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AssignmentMachines/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "assignment_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "actualcostmachines_id_mapping",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]